# Generated by Django 4.2.16 on 2025-03-17 11:22

from django.db import migrations, models
import django.db.models.deletion
import djangoldp.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        (
            "djangoldp_tems",
            "0004_temsimage_temslocation_temsoffer_delete_temsimages_and_more",
        ),
        ("auth", "0012_alter_user_first_name_max_length"),
    ]

    operations = [
        migrations.CreateModel(
            name="Object3DCategory",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
            ],
            options={
                "verbose_name": "TEMS Category",
                "verbose_name_plural": "TEMS Categories",
                "abstract": False,
                "default_permissions": {"change", "control", "add", "delete", "view"},
                "rdf_type": "tems:Category",
                "container_path": "/objects/categories/3dobjects/",
                "serializer_fields": ["@id", "creation_date", "update_date", "name"],
                "nested_fields": [],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="Object3DFormat",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
            ],
            options={
                "verbose_name": "TEMS Format",
                "verbose_name_plural": "TEMS Formats",
                "abstract": False,
                "default_permissions": {"change", "control", "add", "delete", "view"},
                "rdf_type": "tems:Format",
                "container_path": "/objects/formats/3dobjects/",
                "serializer_fields": ["@id", "creation_date", "update_date", "name"],
                "nested_fields": [],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="Object3DKeyword",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
            ],
            options={
                "verbose_name": "TEMS Keyword",
                "verbose_name_plural": "TEMS Keywords",
                "abstract": False,
                "default_permissions": {"change", "control", "add", "delete", "view"},
                "rdf_type": "tems:Keyword",
                "container_path": "/objects/keywords/3dobjects/",
                "serializer_fields": ["@id", "creation_date", "update_date", "name"],
                "nested_fields": [],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="Object3DObject",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
                (
                    "title",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                ("description", models.TextField(blank=True, default="", null=True)),
                (
                    "copyright",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "website",
                    models.CharField(
                        blank=True, default="", max_length=2000, null=True
                    ),
                ),
                ("time_period", models.TextField(blank=True, default="", null=True)),
                (
                    "country",
                    models.CharField(blank=True, default="", max_length=255, null=True),
                ),
                (
                    "actual_representation",
                    models.TextField(blank=True, default="", null=True),
                ),
                (
                    "file_size",
                    models.CharField(blank=True, default="", max_length=255, null=True),
                ),
                ("year", models.IntegerField(blank=True, default=0, null=True)),
                ("texture", models.TextField(blank=True, default="", null=True)),
                (
                    "texture_formats",
                    models.TextField(blank=True, default="", null=True),
                ),
                (
                    "texture_resolution",
                    models.TextField(blank=True, default="", null=True),
                ),
                ("polygons", models.IntegerField(blank=True, default=0, null=True)),
                ("ai", models.BooleanField(default=False)),
                ("allow_ai", models.BooleanField(default=False)),
                ("prices", models.TextField(blank=True, default="", null=True)),
                ("rights_holder", models.TextField(blank=True, default="", null=True)),
                ("creator", models.TextField(blank=True, default="", null=True)),
                (
                    "categories",
                    models.ManyToManyField(
                        blank=True, to="djangoldp_object3d.object3dcategory"
                    ),
                ),
                (
                    "format",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="djangoldp_object3d.object3dformat",
                    ),
                ),
                (
                    "images",
                    models.ManyToManyField(blank=True, to="djangoldp_tems.temsimage"),
                ),
                (
                    "keywords",
                    models.ManyToManyField(
                        blank=True, to="djangoldp_object3d.object3dkeyword"
                    ),
                ),
                (
                    "licences",
                    models.ManyToManyField(blank=True, to="djangoldp_tems.temslicence"),
                ),
                (
                    "location",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="djangoldp_tems.temslocation",
                    ),
                ),
                (
                    "owners",
                    models.OneToOneField(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="owned_object3d",
                        to="auth.group",
                    ),
                ),
                (
                    "providers",
                    models.ManyToManyField(
                        blank=True,
                        related_name="catalog_object3d",
                        to="djangoldp_tems.temsprovider",
                    ),
                ),
            ],
            options={
                "verbose_name": "TEMS 3D Object",
                "verbose_name_plural": "TEMS 3D Objects",
                "abstract": False,
                "default_permissions": {"change", "control", "add", "delete", "view"},
                "rdf_type": ["tems:Object", "tems:3DObject"],
                "container_path": "/objects/object3d/",
                "serializer_fields": [
                    "@id",
                    "creation_date",
                    "update_date",
                    "title",
                    "description",
                    "copyright",
                    "website",
                    "licences",
                    "images",
                    "keywords",
                    "categories",
                    "time_period",
                    "country",
                    "location",
                    "actual_representation",
                    "format",
                    "file_size",
                    "year",
                    "texture",
                    "texture_formats",
                    "texture_resolution",
                    "polygons",
                    "ai",
                    "allow_ai",
                    "prices",
                    "rights_holder",
                    "creator",
                    "providers",
                    "owners",
                ],
                "nested_fields": [
                    "licences",
                    "images",
                    "format",
                    "categories",
                    "location",
                    "keywords",
                    "providers",
                ],
                "depth": 0,
            },
        ),
    ]
