# Generated by Django 4.2.16 on 2025-03-17 13:27

from django.db import migrations, models
import django.db.models.deletion
import djangoldp.fields


class Migration(migrations.Migration):

    dependencies = [
        (
            "djangoldp_tems",
            "0004_temsimage_temslocation_temsoffer_delete_temsimages_and_more",
        ),
    ]

    operations = [
        migrations.CreateModel(
            name="TEMSService",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                ("description", models.TextField(blank=True, default="", null=True)),
                (
                    "long_description",
                    models.TextField(blank=True, default="", null=True),
                ),
                ("activation_status", models.BooleanField(default=False)),
                ("activation_date", models.DateTimeField(blank=True, null=True)),
                ("is_in_app", models.BooleanField(default=False)),
                ("is_external", models.BooleanField(default=False)),
                ("is_api", models.BooleanField(default=False)),
                ("release_date", models.DateTimeField(blank=True, null=True)),
                ("last_update", models.DateTimeField(blank=True, null=True)),
                (
                    "contact_url",
                    models.CharField(
                        blank=True, default="", max_length=2000, null=True
                    ),
                ),
                (
                    "documentation_url",
                    models.CharField(
                        blank=True, default="", max_length=2000, null=True
                    ),
                ),
                (
                    "categories",
                    models.ManyToManyField(
                        blank=True, to="djangoldp_tems.temsprovidercategory"
                    ),
                ),
                (
                    "developper",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="service_developper",
                        to="djangoldp_tems.temsimage",
                    ),
                ),
                (
                    "images",
                    models.ManyToManyField(blank=True, to="djangoldp_tems.temsimage"),
                ),
                (
                    "licence",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="djangoldp_tems.temslicence",
                    ),
                ),
                (
                    "provider",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="services",
                        to="djangoldp_tems.temsprovider",
                    ),
                ),
            ],
            options={
                "verbose_name": "TEMS Data Offer",
                "verbose_name_plural": "TEMS Data Offers",
                "abstract": False,
                "default_permissions": {"delete", "change", "add", "view", "control"},
                "rdf_type": "tems:Service",
                "container_path": "/services/",
                "serializer_fields": [
                    "@id",
                    "creation_date",
                    "update_date",
                    "name",
                    "description",
                    "long_description",
                    "categories",
                    "activation_status",
                    "activation_date",
                    "licence",
                    "is_in_app",
                    "is_external",
                    "is_api",
                    "images",
                    "release_date",
                    "last_update",
                    "developper",
                    "contact_url",
                    "documentation_url",
                ],
                "nested_fields": ["categories", "licence", "images", "developper"],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="TEMSDataOffer",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                ("description", models.TextField(blank=True, default="", null=True)),
                (
                    "categories",
                    models.ManyToManyField(
                        blank=True, to="djangoldp_tems.temsprovidercategory"
                    ),
                ),
                (
                    "image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="djangoldp_tems.temsimage",
                    ),
                ),
                (
                    "offers",
                    models.ManyToManyField(blank=True, to="djangoldp_tems.temsoffer"),
                ),
                (
                    "provider",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="data_offers",
                        to="djangoldp_tems.temsprovider",
                    ),
                ),
            ],
            options={
                "verbose_name": "TEMS Data Offer",
                "verbose_name_plural": "TEMS Data Offers",
                "abstract": False,
                "default_permissions": {"delete", "change", "add", "view", "control"},
                "rdf_type": "tems:DataOffer",
                "container_path": "/data-offers/",
                "serializer_fields": [
                    "@id",
                    "creation_date",
                    "update_date",
                    "name",
                    "description",
                    "offers",
                    "image",
                    "categories",
                    "provider",
                ],
                "nested_fields": ["categories", "offers", "image", "provider"],
                "depth": 0,
            },
        ),
    ]
